/*
 ***************************************************************************
 *
 *	Module Name : rex5052.h
 *
 ***************************************************************************
 */

#ifndef __REX5052_H
#define __REX5052_H


#define IOCTL_GP_GET_RESOURCE			0
#define IOCTL_GP_READ_PORT_UCHAR		1
#define IOCTL_GP_READ_PORT_USHORT		2
#define IOCTL_GP_READ_PORT_ULONG		3
#define IOCTL_GP_WRITE_PORT_UCHAR		4
#define IOCTL_GP_WRITE_PORT_USHORT		5
#define IOCTL_GP_WRITE_PORT_ULONG		6
#define IOCTL_GP_START_INTERRUPT		7
#define IOCTL_GP_STOP_INTERRUPT			8

typedef struct _CARD_RESOURCE {
	unsigned int		IOBaseLow;		// 
	unsigned int		IOBaseHigh;		// 
	unsigned int		IOLength;		// length
	unsigned int		IrqLevel;		// interrupt level
} CARD_RESOURCE, *PCARD_RESOURCE;

//typedef struct  DELM_PARAMETER {
//	PSZ		mode;
//	ULONG	dlm;
//}DELMPARAM, *PDELMPARAM;

typedef struct T_IOPORT_UCHAR {
	unsigned int		Offset;
	unsigned char		Value;
} IOPORT_UCHAR, *PIOPORT_UCHAR;

typedef struct T_IOPORT_USHORT {
	unsigned int		Offset;
	unsigned short	Value;
} IOPORT_USHORT, *PIOPORT_USHORT;

typedef struct T_IOPORT_ULONG {
	unsigned int		Offset;
	unsigned int		Value;
} IOPORT_ULONG, *PIOPORT_ULONG;


#endif // __REX5052_H

// End of File
